List Playbook Runs
List execution runs for a playbook.
GET
/
v1
/
playbooks
/
{playbook_id}
/
runs
List Playbook Runs
curl --request GET \
--url https://api.topo.io/v1/playbooks/{playbook_id}/runs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/playbooks/{playbook_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/playbooks/{playbook_id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"playbook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"error_message": "<string>"
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}List execution runs for a playbook.
Requires the
sequences:read scope on the API key.Authorizations
Bearer API key issued from Settings → Developers.
Path Parameters
ID of the playbook.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Filter runs by execution status.
Available options:
PENDING, RUNNING, SUCCEEDED, FAILED, REJECTED, CANCELLED Response
200 - application/json
Successful Response
Records on this page.
Hide child attributes
Hide child attributes
Unique identifier of the run.
Playbook that was executed.
Execution status of the run.
Available options:
PENDING, RUNNING, SUCCEEDED, FAILED, REJECTED, CANCELLED When the run was created.
When the run started executing.
Failure reason if the run failed.
Total number of records matching the query.
Total number of pages.
Whether more pages remain after the current one.
Was this page helpful?
⌘I
List Playbook Runs
curl --request GET \
--url https://api.topo.io/v1/playbooks/{playbook_id}/runs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/playbooks/{playbook_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/playbooks/{playbook_id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"playbook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"error_message": "<string>"
}
],
"total_count": 123,
"total_pages": 123,
"has_more": true
}